# std::tr1::_Reference_wrapper_base_impl< true, true, _Tp > Struct Template Reference

Inheritance diagram for std::tr1::_Reference_wrapper_base_impl< true, true, _Tp >:

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::tr1::_Reference_wrapper_base_impl< true, true, _Tp >

Definition at line 236 of file tr1/functional.

## Public Types

- typedef _Tp::argument_type argument_type
- typedef _Tp::result_type result_type

## Member Typedef Documentation

typedef _Tp::argument_type std::unary_function< _Tp::argument_type , _Tp::result_type >::argument_type`[inherited]`

`argument_type` is the type of the

Definition at line 104 of file stl_function.h.

template<typename _Tp>

typedef _Tp::result_type std::tr1::_Reference_wrapper_base_impl< true, true, _Tp >::result_type

argument (no surprises here) `result_type` is the return type

Reimplemented from std::unary_function< _Tp::argument_type, _Tp::result_type >.

Definition at line 243 of file tr1/functional.

The documentation for this struct was generated from the following file:

- tr1/functional